<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";
$title=$titlepage = $TEXT['cicle-title-film'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['cicle'])) {puterror($result2['skin'],$TEXT['error-cicle1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['cicle'])>255) {puterror($result2['skin'],$TEXT['error-cicle2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['cicle'])) {$cicle=trim($_POST['cicle']);}
 else {$cicle ="";}
  if(empty($cicle)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['cicle'] = rep($_POST['cicle']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`cicle_id`) AS c_cicle_id FROM `tbl_cicle` WHERE `cicle`='".$_POST['cicle']."' AND use_prog='2' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_cicle_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-cicle1'];
  $what = $_POST['cicle'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_cicle` ( `cicle_id` , `cicle`, `use_prog` ) VALUES ( NULL , '".$_POST['cicle']."', '2')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl5']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>